FROM golang:1.19.1-alpine3.15 AS builder
COPY . /go/src/gitlab.com/timofeev.pavel.art/go-geotask
WORKDIR /go/src/gitlab.com/timofeev.pavel.art/go-geotask
# Create slimest possible image
RUN go build -ldflags="-w -s" -o /go/bin/server /go/src/gitlab.com/timofeev.pavel.art/go-geotask/cmd/api

FROM alpine:3.15
# Copy binary from builder
COPY --from=builder /go/bin/server /go/bin/server
COPY ./public /app/public
COPY ./.env /app/.env

WORKDIR /app
# Set entrypoint
ENTRYPOINT ["/go/bin/server"]